# file: $isip/class/dstr/HashTable/GNUmakefile
# version: $Id: GNUmakefile 7780 2002-02-21 22:05:24Z huang $
#
# this make file builds the HashTable class
#

# define the source files
#
ISIP_FILES = 

# define the header files that need to be installed
#
ISIP_HEADER_FILES = HashTable.h HashKey.h

# define other dependencies (headers are included automatically)
#
ISIP_DEPS = Wrapper.h Vector.h SingleLinkedList.h Pair.h \
            Long.h String.h Float.h Console.h

# define the compilation flags
# 
ISIP_CFLAGS =

# define the diagnose class (we put diagnose method outside the header
# file in HashTableDiagnose.h)
#
DIAG_CLASS = HashTableDiagnose
DIAG_HEADER = $(ISIP_DEVEL)/class/dstr/HashTable/HashTableDiagnose.h

# define the diagnose mode for generic template classes
#
ISIP_DIAGNOSE_MODE = template-diagnose-2

# include the isip standard make template
#
include $(ISIP_DEVEL)/lib/scripts/make/compile.make

#
# end of file
